NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.ProfileCutoutBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.ProfileCutout builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.ProfileCutoutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CollarPlateCreationApproaches { Template, SteelFeature }
 Represents the collar plate creation approaches. More...
 
enum  Orientation { None, Normal, Flipped }
 Represents the profile cutout orientation values. More...
 

Public Member Functions

unsafe void EvaluateProfileCutoutParameters (NXOpen.TaggedObject tgTargetBody, NXOpen.TaggedObject tgProfileBody)
 Updates the parameters in profile cutout builder using parameters rules. More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileCutoutBuilder.Orientation 
FindOrientation ()
 This method will find out the profile cutout orientation. More...
 
unsafe void RemoveSlaves ()
 Temporarily removes profile cutout slave features when editing profile cutout in ship basic design to prevent the downstream features from updating. More...
 
unsafe void ResetContextEntity (NXOpen.TaggedObject tgTargetBody, NXOpen.TaggedObject tgProfileBody)
 Resets the section types acoording to the tightness attribute on the target and the context attribute on the profile More...
 
unsafe void SetDefaultScallopTypes (string strProfileCutoutType)
 Set the default scallop types for the profile cutout builder. More...
 
unsafe void SynchronizeParametersWithProfileBody (NXOpen.TaggedObject tgProfileBody)
 Updates the parameters in profile cutout builder using profile body. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngularTolerance [get, set]
 Returns or sets the angular tolerance (degrees). More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileCutoutBuilder.CollarPlateCreationApproaches 
CollarPlateCreationApproach [get, set]
 Returns or sets the approach to be used in creating collar plate. More...
 
unsafe
NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder 
CutoutData [get]
 Returns the sketch controlling the shape and parameters of the profile cutout. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance (part units). More...
 
unsafe bool EnableCollarPlate [get, set]
 Returns or sets the flag to enable collar plate creation when creating profile cutout. More...
 
unsafe bool EnableCornerCut [get, set]
 Returns or sets the flag to enable corner cut creation when creating profile cutout. More...
 
unsafe
NXOpen.Features.ShipDesign.ManufacturingStockBuilder 
ManufacturingInformation [get]
 Returns the manufacturing stock builder that holds the manufacturing data. More...
 
unsafe
NXOpen.Features.ShipDesign.ManufacturingStockBuilder 
ManufacturingStock [get]
 Returns the manufacturing stock builder that holds the manufacturing data. More...
 
unsafe
NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder 
MoldingSideScallop [get]
 Returns the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder , which holds the information of the molding side scallop. More...
 
unsafe
NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder 
OpposingSideScallop [get]
 Returns the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder , which holds the information of the opposing molding side scallop. More...
 
unsafe bool ParametersInUserControl [get, set]
 Returns or sets the flag to indicate if the profile cutout detail parameters have been modified by user. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
ProfileBodies [get]
 Returns the profiles that are to have a cutout created for them. More...
 
unsafe bool SectionTypesInUserControl [get, set]
 Returns or sets the flag to indicate if the section types have been modified by user. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
TargetObjects [get]
 Returns the plates that are to have cutouts placed into them for each profile. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
WeldCharacteristics [get]
 Returns the welding characteristics that will be attached to profile cuotut edges which have attribute MK_TYPE=WELD_EDGE. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.ProfileCutout builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateProfileCutoutBuilder

Default values.

Property Value

AngularTolerance

0.5

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

Created in NX8.0.0

Member Enumeration Documentation

Represents the collar plate creation approaches.

Enumerator
Template 

Template approach - Use Standard Part Framework to create collar plate.

SteelFeature 

Steel feature approach - User Collar Plate to create collar plate

Represents the profile cutout orientation values.

Enumerator
None 

no set

Normal 

normal

Flipped 

flipped

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.ProfileCutoutBuilder.EvaluateProfileCutoutParameters ( NXOpen.TaggedObject  tgTargetBody,
NXOpen.TaggedObject  tgProfileBody 
)
inline

Updates the parameters in profile cutout builder using parameters rules.

Created in NX10.0.0

License requirements: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

Parameters
tgTargetBody
tgProfileBody
unsafe NXOpen.Features.ShipDesign.ProfileCutoutBuilder.Orientation NXOpen.Features.ShipDesign.ProfileCutoutBuilder.FindOrientation ( )
inline

This method will find out the profile cutout orientation.

This information will be used for drawing automation to draw the profile cutout symbol, when the profile cutout was created by flip then the symbol should be drawn flip also. So this method can be used to indicate whether the profile cuotut was created by flip or not. The logic is: The target plate shuold have the start/end flag(by seeing the End cut face attributes) and the profile(profile cutout created based on)'s molding line face is more nearing to the start of the plate, then this method will return Normal, or Flipped. if the targe plate doens't have any flag of start/end, then None will be returned.

Created in NX8.5.0

License requirements: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

Returns
unsafe void NXOpen.Features.ShipDesign.ProfileCutoutBuilder.RemoveSlaves ( )
inline

Temporarily removes profile cutout slave features when editing profile cutout in ship basic design to prevent the downstream features from updating.

They will be restrored when committing the profile cutout builder.

Created in NX9.0.0

License requirements: nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ResetContextEntity ( NXOpen.TaggedObject  tgTargetBody,
NXOpen.TaggedObject  tgProfileBody 
)
inline

Resets the section types acoording to the tightness attribute on the target and the context attribute on the profile

Created in NX10.0.0

License requirements: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

Parameters
tgTargetBody
tgProfileBody
unsafe void NXOpen.Features.ShipDesign.ProfileCutoutBuilder.SetDefaultScallopTypes ( string  strProfileCutoutType)
inline

Set the default scallop types for the profile cutout builder.

Created in NX9.0.0

License requirements: None.

Parameters
strProfileCutoutType
unsafe void NXOpen.Features.ShipDesign.ProfileCutoutBuilder.SynchronizeParametersWithProfileBody ( NXOpen.TaggedObject  tgProfileBody)
inline

Updates the parameters in profile cutout builder using profile body.

Created in NX10.0.3

License requirements: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

Parameters
tgProfileBody

Property Documentation

unsafe double NXOpen.Features.ShipDesign.ProfileCutoutBuilder.AngularTolerance
getset

Returns or sets the angular tolerance (degrees).

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.ProfileCutoutBuilder.CollarPlateCreationApproaches NXOpen.Features.ShipDesign.ProfileCutoutBuilder.CollarPlateCreationApproach
getset

Returns or sets the approach to be used in creating collar plate.

Created in NX11.0.0

License requirements to get this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.CutoutData
get

Returns the sketch controlling the shape and parameters of the profile cutout.

The cutout sketch type and its parameters are controlled by the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder .

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.ProfileCutoutBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance (part units).

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.ShipDesign.ProfileCutoutBuilder.EnableCollarPlate
getset

Returns or sets the flag to enable collar plate creation when creating profile cutout.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.ShipDesign.ProfileCutoutBuilder.EnableCornerCut
getset

Returns or sets the flag to enable corner cut creation when creating profile cutout.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.ManufacturingStockBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ManufacturingInformation
get

Returns the manufacturing stock builder that holds the manufacturing data.

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ManufacturingStockBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ManufacturingStock
get

Returns the manufacturing stock builder that holds the manufacturing data.

Created in NX8.5.0

Deprecated in NX8.5.1. Use NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ManufacturingInformation instead.

License requirements: None.

unsafe NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.MoldingSideScallop
get

Returns the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder , which holds the information of the molding side scallop.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.OpposingSideScallop
get

Returns the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder , which holds the information of the opposing molding side scallop.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ParametersInUserControl
getset

Returns or sets the flag to indicate if the profile cutout detail parameters have been modified by user.

If it is true, it means the parameter values are specified by user and the rule driven process will not update the parameter values.

Created in NX9.0.1

License requirements to get this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.ShipDesign.ProfileCutoutBuilder.ProfileBodies
get

Returns the profiles that are to have a cutout created for them.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileCutoutBuilder.SectionTypesInUserControl
getset

Returns or sets the flag to indicate if the section types have been modified by user.

If it is true, it means the section type is chosen by user and the rule driven process will not update the type.

Created in NX9.0.0

License requirements to get this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.ShipDesign.ProfileCutoutBuilder.TargetObjects
get

Returns the plates that are to have cutouts placed into them for each profile.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Features.ShipDesign.ProfileCutoutBuilder.WeldCharacteristics
get

Returns the welding characteristics that will be attached to profile cuotut edges which have attribute MK_TYPE=WELD_EDGE.

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.